# Network Availabilities

## The NetworkAvailability object

<!-- theme: info -->
> #### Preview
>
> This schema is currently in preview and might change in the future.
>
> We’re excited to hear your feedback and ideas. Please send an email
> to [support@gigs.com](mailto:support@gigs.com) to share your thoughts.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `object` | string | Yes | Type of object is always `networkAvailability`. |
| `availability` | object[] | Yes | A list of availability details for the plans in the project. |
| `location` | object | Yes | The location for which availability information is provided. |

---

## Lookup network availability by location

`POST /projects/{project}/networkAvailability/lookup`

Looks up network availability information based on geographic coordinates (latitude/longitude) or address. Returns network availability data only for US locations.

> **Info**
> #### Preview
> 
>  This endpoint is currently in preview and might change in the future.
> 
>  We’re excited to hear your feedback and ideas. Please send an email
>  to [support@gigs.com](mailto:support@gigs.com) to share your thoughts.

### Body

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `address` | object | No | The address for which availability information is provided.  <!-- theme: info --> > #### Preview > > This schema is currently in preview and might change in the future. > > We’re excited to hear your feedback and ideas. Please send an email > to [support@gigs.com](mailto:support@gigs.com) to share your thoughts.  |
| `coordinates` | object | No | The coordinates for which availability information is provided.  <!-- theme: info --> > #### Preview > > This schema is currently in preview and might change in the future. > > We’re excited to hear your feedback and ideas. Please send an email > to [support@gigs.com](mailto:support@gigs.com) to share your thoughts.  |

### Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `project` | string | Yes | The unique identifier for the [project](https://developers.gigs.com/core/projects#the-project-resource). |

### Responses

#### 200 — Returns the network availability data with location.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `object` | string | Yes | Type of object is always `networkAvailability`. |
| `availability` | object[] | Yes | A list of availability details for the plans in the project. |
| `location` | object | Yes | The location for which availability information is provided. |

#### 422 — The request can't be processed, often due to an invalid parameter or incompatible system state.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `object` | string | Yes | Type of object is always `error`. |
| `code` | string | No | An optional machine-readable description of the error. Present for errors that could be handled programmatically. |
| `details` | object[] | No | Optional array containing specific information for the current error.  <!-- theme: info --> > #### Preview > > This property is currently in preview and might change in the future. > > We’re excited to hear your feedback and ideas. Please send an email > to [support@gigs.com](mailto:support@gigs.com) to share your thoughts.  |
| `documentation` | string[] | No | An optional list of URLs providing further information to resolve the error. |
| `hint` | string | No | An optional explanation how to resolve the error. |
| `message` | string | Yes | A human readable description of the error. |
| `type` | string | Yes | The type of [error](https://developers.gigs.com/api/error-handling) returned. |

---
